Untitled Document.md -NL- ﬁle:///media/New Volume/Files/job/CV/wrapper (c... -NL- **`Tibor Halter`[NAME]** -NL- Email: **`zupahalter@gmail.com`[EMAILS_EMAIL]** -NL- Mobile: **`075 2239 4964`[PHONES_PHONE]** -NL- Location: London, UK -NL- LinkedIn: http://lnkd.in/di5ViAQ -NL- Born: Budapest, 1986 -NL- This document was generated from Markdown and is version controlled with Git. You are on the master branch. -NL- **`Summary`[SUMMARY_HEADING]** -NL- Experienced backend developer. Best at writing tested, robust code in Go, PHP, NodeJS. Using Git, TDD, continuous -NL- deployment. -NL- Stack -NL- From front end down to bare metal: -NL- Webdesign, -NL- experienced in writing client code (html, js, css), -NL- web transport layer in bit level detail (HTTP, TCP, encoding, caching), -NL- implemented a web server, SFTP server, other custom protocol implementations, -NL- expert in writing backend/server-side code (strength), -NL- everyday linux user, managing own servers, -NL- designed and ﬁeld tested a bus protocol for distributed HW nodes, -NL- designed printed circuits. -NL- 1 of 3 -NL- 12/17/2014 09:21 PM -NL- Untitled Document.md -NL- ﬁle:///media/New Volume/Files/job/CV/wrapper (c... -NL- **`Skills`[SKILLS_HEADING]** -NL- Golang - 2 years, ~80k lines of code on two projects. I love working with a typed system because it comes -NL- with less surprises at run time. Prior Go it seems to me one had to choose between having slow developers -NL- or slow programs. Go runs fast and is fast to work with. Its concurrency model opens up a new world of -NL- possibilities. I love the small footprint of the language and its no-magic principle. My favourit language. -NL- PHP - 10 years on several website backends. I tried to grow far too long inside the environment, thus I -NL- probably know most of the tricks PHP oﬀers. Friends come to me for PHP advice. -NL- Node.js - 2yrs. I turned to Node.js from PHP when I needed a daemon, which made sense at the time as I -NL- already new the JS language. There was a time I wanted to write everything in NodeJS. Later the need for -NL- more robust control of the bit level shifted me to Golang. I'm happy to work with NodeJS too. -NL- Debian, Ubuntu - I use them on my servers and I'm mostly working from a Debian Desktop. I also have a -NL- Windows Desktop. -NL- HTML5, CSS3, XML, JSON - I'm working with these all the time. -NL- jQuery - The biggest beneﬁt of jQuery as I see it is being a platform, aka it hides browser diﬀerences. I -NL- love its beautiful syntax, I use it quite often. -NL- MySQL - I worked with MySQL for 9+yrs. I'm familiar with storage engine diﬀerences, indexing tricks, -NL- backups. I used SQLite in a project to reduce external dependencies (to zero). On another project I rolled -NL- a custom ACID DB. -NL- HTTP, SFTP, UART, SPI, I2C - I built a HTTP request/response parser and serializer. A built an SFTP -NL- server as an SSH2 subsystem. The rest are wire level bus protocols I used in embedded devices. -NL- Git, TDD, CI - I use git on all my projects, I am a big fan of its internals. I am a big fan of testing too, I -NL- can't see how anyone can get away without TDD. Continous Integration sort of implements the DRY -NL- principle (Do not Repeat Yourself) over the time dimension. Automate everything. -NL- I am native Hungarian, speak English and German well. I lived in English language territories for about -NL- half a year. I read, write, code and think in English. I lived in Germany for about 2 years when added up. I -NL- attended a German **`secondary school`[EDUCATION_DEGREE]** for a year in Hamburg, won a scholarship while on university and -NL- lived in Karlsruhe for a semester. -NL- Personality -NL- My friends know me as a creative and driven individual. I want to grow and push the limits of what is possible. I -NL- prefer focus over diversity. I would also rather have less but of higher quality. I believe ageing is a bug. -NL- 2 of 3 -NL- 12/17/2014 09:21 PM -NL- Untitled Document.md -NL- ﬁle:///media/New Volume/Files/job/CV/wrapper (c... -NL- **`Education`[EDUCATION_HEADING]** -NL- 2009- - self taught Software Developer (reading/learning daily, logging progress, logged 14020 pages so -NL- far) -NL- 2007-2008 - Karlshruhe Institute of Technology - 1 semester scholarship -NL- 2005-2009 - Electric Engineering degree (Bachelor),**` Budapest University of Technology and Economics, -NL- studied in German`[EDUCATION_INSTITUTE]** -NL- 2001-2002 - **`Sankt Ansgar Schule Germany/Hamburg`[EDUCATION_INSTITUTE]** (full year in **`secondary school`[EDUCATION_DEGREE]**) -NL- 2000-2005 - **`Eötvös József High School`[EDUCATION_DEGREE]** -NL- Work -NL- 2013 (3 month project) - **`Nanomagic fountain controller`[EMPLOYER_ROLE]** - **`gardematicfountains.com`[EMPLOYER_COMPANY_NAME]** -NL- A fountain controller system with a chain of master/slave nodes programmable on a web based interface. Was the -NL- technical team lead, designed the interfaces, bus speciﬁcation, made the web editor prototype, a simple domain -NL- speciﬁc language with compiler. Made sure everything ﬁts. -NL- 2012-2014 - **`checkerr.org`[EMPLOYER_COMPANY_NAME]** (my startup) -NL- Website testing service. Developed single-handedly, including web design, frontend work, backend work, tester, -NL- crawler, payment integration, testing, deployment, logging. Heavily optimized with custom data stores. Written -NL- using Golang, JS, jQuery, PHP, MySQL. Failing due to non-existent market. -NL- 2011-2012 - **`boomla.com`[EMPLOYER_COMPANY_NAME]** (my startup) -NL- A WYSIWYG website builder. Was too big a bite. Still to a hobby. -NL- 2010-2011 - **`IQSYS`[EMPLOYER_COMPANY_NAME]** -NL- **`Software Developer, data mining.`[EMPLOYER_ROLE]** -NL- Open source -NL- https://github.com/zupa-hu/errors - Golang errors implementation with stack traces and client/server errors. -NL- 3 of 3 -NL- 12/17/2014 09:21 PM -NL- 